Subject: bug#43950: lz4 CC=gcc - Why?

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 12 Oct 2020 15:57:01 +0200

Hi,

On Mon, 12 Oct 2020 15:18:26 +0200
Tobias Geerinckx-Rice <[email-masked]> wrote:

> For the same reason as the *hundreds* of other ‘CC=gcc’ 
> occurrences in the tree: CC-FOR-TARGET is new.  Out of all of 
> them, why are you so interested in LZ4

It's a dependency of genimage (via squashfs-tools).  Breaking it breaks
guix system image generation.

It's a dependency of u-boot.  Breaking it breaks booting on all ARM
machines.

So I rather didn't want to touch it without confirmation...

> (I think this is your  second mail on it :-)?

Ludo said to send extra mails for each--so that's what I am doing.

> LZ4 tweaked in 2b6ecdf41a09ab9ecae06d7c537583a2f0f28efc,

Thanks!